org.bouncycastle.cms

## Class CMSCompressedDataGenerator

- java.lang.Object
- - org.bouncycastle.cms.CMSCompressedDataGenerator

    public class CMSCompressedDataGenerator
    extends java.lang.Object

General class for generating a compressed CMS message.

A simple example of usage.

          CMSCompressedDataGenerator  fact = new CMSCompressedDataGenerator();

          CMSCompressedData           data = fact.generate(content, algorithm);

### Field Summary

Fields
`static java.lang.String` `ZLIB`

### Constructor Summary

Constructors
Constructor and Description
`CMSCompressedDataGenerator()` base constructor

### Method Summary

Methods
`CMSCompressedData` `generate(CMSProcessable content, java.lang.String compressionOID)` generate an object that contains an CMS Compressed Data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZLIB

    public static final java.lang.String ZLIB

See Also:
  Constant Field Values

### Constructor Detail

#### CMSCompressedDataGenerator

    public CMSCompressedDataGenerator()

base constructor

### Method Detail

#### generate

    public CMSCompressedData generate(CMSProcessable content,
                             java.lang.String compressionOID)
                               throws CMSException

generate an object that contains an CMS Compressed Data

Throws:
  `CMSException`